Name:		pdfresurrect
Version:	0.21
Release:	%mkrel 1
Summary:	PDF Analysis and Scrubbing Utility
License:	GPLv3+
Group:		Publishing
URL:		https://github.com/enferex/pdfresurrect
Source0:	https://github.com/enferex/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		pdfresurrect-0001-Don-t-reset-compiler-s-flags-during-checks.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc

%description
PDFResurrect is a tool aimed at analyzing PDF documents. The PDF format
allows for previous document changes to be retained in a more recent
version of the document, thereby creating a running history of changes
for the document. This tool attempts to extract all previous versions
while also producing a summary of changes between versions. This tool
can also "scrub" or write data over the original instances of PDF objects
that have been modified or deleted, in an effort to disguise information
from previous versions that might not be intended for anyone else to read.

%prep
%autosetup -p1

# make autoconf happy
cp -a /usr/share/automake-*/config.{guess,sub} .
cp -a /usr/share/automake-*/install-sh .

%build
autoreconf -vif
%configure2_5x
%make_build

%install
%make_install

%files
%license LICENSE
%doc AUTHORS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Fri Dec 04 2020 daviddavid <daviddavid> 0.21-1.mga7
+ Revision: 1652434
- new version: 0.21, fixes CVE-2020-20740 (mga#27704)
- add upstream patch to fix CVE-2020-9549 (mga#26304)
- new version: 0.18, fixes CVE-2019-14267 and CVE-2019-14934 (mga#25942)

* Thu May 02 2019 daviddavid <daviddavid> 0.15-1.mga7
+ Revision: 1396148
- initial package pdfresurrect

